#include "mbed.h"

//------------------------------------
// Hyperterminal configuration
// 115200 bauds, 8-bit data, no parity
//------------------------------------

Serial pc(SERIAL_TX, SERIAL_RX);
Serial mcu(PC_6,PC_7);//TX-----PC_6;RX ----PC_7
 
DigitalOut myled(LED1);


void uart_IRQ()
{
    mcu.putc(pc.getc());    
} 

int main() {
    pc.baud(19200);
    mcu.baud(19200);
    pc.attach(&uart_IRQ,SerialBase::RxIrq);

      wait_ms(3000);
    pc.printf("AT\r\n");//Test the connection  
    wait_ms(500);
    //pc.printf("AT+CGPSPWR=1\r\n");//Test the connection  
    pc.printf("AT+CGNSPWR=1\r\n");//Test the connection  
    wait_ms(1000);
   // pc.printf("AT+CGPSRST=1\r\n");//Test the connection  
    pc.printf("AT+CGNSTST=1\r\n");//Test the connection
    wait_ms(1000);
 
    while(1);
    
    
}